Get advertiser
This endpoint fetches advertiser(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/advertiser/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Advertiser ID, if sent, request will fetch advertiser with exact ID, otherwise it fill fetch all advertisers. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch advertisers with exact Account Manager ID (User ID), otherwise it fill fetch all advertisers. | optional |
| ActiveOnly | int | Request will fetch only active advertisers if set to 1, otherwise it fill fetch all advertisers. | optional |
To get advertiser, send query parameter like this: Id=1 or AccManagerId=5
Or if you want to get all advertisers, don’t include either of Id or AccManagerId parameter, or set them as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "Mail": "advertiser@mail.com", "Name": "Advertiser", "Description": "advertiser test", "Website": "www.advertiser.com", "Country": "US", "City": "New york", "ZipCode": "100000", "Address": "5th avenue", "Phone": "+10000000", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "Username": "advertiser1", "StatsAuth": "7sdd23", "StatsByDate": "https://adelion.com/api/ortb/stats/advertiser/general?username=advertiser1&auth=7sdd23&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "CampaignsCount": 1, "DspRtbEpsCount": 1, "DspVastTagsCount": 1, "DspPopFeedsCount": 1}[ { "Id": 1, "TeamId": 1, "Mail": "advertiser@mail.com", "Name": "Advertiser", "Description": "advertiser test", "Website": "www.advertiser.com", "Country": "US", "City": "New york", "ZipCode": "100000", "Address": "5th avenue", "Phone": "+10000000", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "Username": "advertiser1", "StatsAuth": "7sdd23", "StatsByDate": "https://adelion.com/api/ortb/stats/advertiser/general?username=advertiser1&auth=7sdd23&date_from={date_from}&date_to={date_to}&columns=DateStats,RemoteRequests,NetImpressions,Revenue", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "CampaignsCount": 1, "DspRtbEpsCount": 1, "DspVastTagsCount": 1, "DspPopFeedsCount": 1 }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |